svn commit: trunk/busybox/scripts

vda at busybox.net vda at busybox.net
Tue Oct 9 13:08:03 UTC 2007


Author: vda
Date: 2007-10-09 06:08:02 -0700 (Tue, 09 Oct 2007)
New Revision: 20209

Log:
trylink: remove useless redirects, add missing error checks



Modified:
   trunk/busybox/scripts/trylink


Changeset:
Modified: trunk/busybox/scripts/trylink
===================================================================
--- trunk/busybox/scripts/trylink	2007-10-09 10:15:41 UTC (rev 20208)
+++ trunk/busybox/scripts/trylink	2007-10-09 13:08:02 UTC (rev 20209)
@@ -53,8 +53,7 @@
 		-o $EXE -Wl,-Map -Wl,$EXE.map \
 		-Wl,--warn-common -Wl,--sort-common -Wl,--gc-sections \
 		-Wl,--start-group $O_FILES $A_FILES -Wl,--end-group \
-		$l_list \
-		>/dev/null
+		$l_list
 	if test $? = 0; then
 	    echo "Library $one is not needed"
 	    LDLIBS="$without_one"
@@ -82,7 +81,10 @@
 	    -Wl,--warn-common -Wl,--sort-common -Wl,--gc-sections \
 	    -Wl,--start-group $O_FILES $A_FILES -Wl,--end-group \
 	    $l_list -Wl,--verbose \
-	    >/dev/null
+    || {
+	cat $EXE.out
+	exit 1
+    }
 else
     echo "Custom linker script 'busybox_ldscript' found, using it"
     # Add SORT_BY_ALIGNMENT to linker script (found in $EXE.out):
@@ -96,7 +98,10 @@
 	    -Wl,--start-group $O_FILES $A_FILES -Wl,--end-group \
 	    $l_list -Wl,--verbose \
 	    -Wl,-T -Wl,busybox_ldscript \
-	    >/dev/null
+    || {
+	cat $EXE.out
+	exit 1
+    }
 fi
 
 . .config




More information about the busybox-cvs mailing list